Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 03/10/2021 in all areas

  1. I don't know whether the command still exists, but I can type DDPTYPE and a dialogue box opens up to set the Point Style.
    2 points
  2. Check out Lee-mac has a good explanation of ssget. ssget Function Reference | Lee Mac Programming (lee-mac.com)
    2 points
  3. If the specific issue is that a tangent line is not precisely tangent, consider using the TAN snap, as Steven suggests. With the OSNAP command, you can set your snaps to stay on permanently. If you're connecting two circles, you can use TAN on both ends of your line to make it doubly tangent. If you use a snap or FILLET or some other command, you don't have to wonder if your objects connect to each other. Let AutoCAD do the math for you. If we haven't resolved your issue, please give us more information.
    1 point
  4. If you set the point size to Absolute Units, it zooms very nicely. It is only when the size is set to Relative to Screen that you need to Regen after zooming.
    1 point
  5. My usual use of points is in the result of the DIVIDE command. However, I do not want them to print, so I put them on a layer that does not plot. (NOT DEFPOINTS) I named mine NO PLOT and clicked the printer icon in the layer manager off. They do appear in modelspace and viewports.
    1 point
  6. If a tangent line does not touch a circle, then it is not a tangent line. Perhaps you need more instruction on how to draw tangents. Post your drawing and you will get precise information.
    1 point
  7. Just to add to @Dadgad's answer this is a screenshot taken straight from the Autocad help files showing the various options for showing a point in pointmode. And as a note just to highlight that pdmode affects all points existing or new, you can only have one type of point in a drawing file
    1 point
  8. The system variables for which you are looking are PDMODE and PDSIZE, as shown in the SYSVDLG screenshot. Both of those variables can be accessed at the commandline, I misstated earlier that they are midcommand options, which they are not. To define your point style as an "X" set your PDMODE system variable to 3.
    1 point
  9. Interesting can be done need some rules like edge clearance min and max length slot slot gap again min max obvious slot height slot spacing How many are variables. Lee-mac has a random number generator so can work out the min and max's. This uses the multi getvals.lsp in Cadtutor\downloads any one please feel free to use. If want to post random slot code, note "ans" is a list of strings. (if (not AH:getvalsm)(load "Multi Getvals.lsp")) (setq ans (AH:getvalsm (list "Enter slot details " "Top edge" 5 4 "100" "Bottom edge " 5 4 "100" "Side edge " 5 4 "60" "Slot height" 5 4 "20" "Slot min len" 5 4 "64" "Slot max len" 5 4 "350" "Slot horizontal space min " 5 4 "100""Slot horizontal space max " 5 4 "250" "Slot row spacing " 5 4 "100")))
    1 point
  10. Definition points are reference points for dimensions, these are same points which appear at grip location when a dimension is selected.. Once anything using the layer is removed, it can be purged, though LAYDEL (Layer delete) might be easier.
    1 point
  11. The command you want is LAYFRZ. see the screenshot. WRONG!!! LAYOFF is what you are after, click on the SETTINGS commandline option too. It is on the right side of the LAYFRZ icon. There are some great tools on the LAYERS 2 toolbar. LAYERWALK is another great one.
    1 point
  12. ;Add polyline vertices in intervals ;CAD Studio, www.cadstudio.cz www.cadforum.cz ;;https://www.cadtutor.net/forum/topic/72403-add-polyline-vertices-at-chainage-points-from-a-list/ (defun C:READVTXDIST ( / pline plineo pt ptpar stan int seg F FILEPATH LN) (vl-load-com) (if (and (setq pline (entsel "\nSelect a polyline to divide/measure: ")) (setq FilePath (getfiled "Select TEXT file to read :" (getvar "dwgprefix") "txt" 4 ) ) ) (progn (setq pline (car pline)) (setq plineo (vlax-ename->vla-object pline)) (if (member (cdr (assoc 0 (entget pline))) '("LWPOLYLINE" "SECTION")) (progn (setq f (open FilePath "r")) ;;; (if _lastVTXDIST ;;; (initget 6 "Number") ;;; (initget 7 "Number")) ;;; (setq int (getdist (strcat "\nSpecify the segment size or [Number]" (if _lastVTXDIST (strcat " <" (rtos _lastVTXDIST 2) ">") "") ":"))) ;;; (if (eq int "Number") ;;; (progn ;;; (initget 7) ;;; (setq seg (getint "\nNumber of segments: ")) ;;; (setq int (/ (vlax-get-property plineo 'Length) seg)) ;;; (princ (strcat " (size: " (rtos int 2) ")")) ;;; )) ;;; (if (not int)(setq int _lastVTXDIST)(setq _lastVTXDIST int)) ;;; (setq stan int) (while (setq ln (read-line f)) (IF (<= (atof ln) (vla-get-length plineo) ) (progn (setq pt (vlax-curve-getPointAtDist plineo (atof ln))) (setq ptpar (vlax-curve-getParamAtPoint plineo pt)) (vlax-invoke plineo 'AddVertex (1+ (fix ptpar)) (list (car pt)(cadr pt))) ;;; (setq stan (+ stan int)) ) ) ); (while (princ " added.") (sssetfirst nil (ssadd pline)) ) ;else (princ " not a lwpolyline ! ") ) ;if eq )) ;if pline (prin1) ) AAaa.txt
    1 point
×
×
  • Create New...